Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class ObjectInstance

    java.lang.Object
      javax.management.ObjectInstance

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ServerObjectInstance

public class ObjectInstance
extends Object
implements Serializable

Information about an object registered in the MBeanServer. An `ObjectInstance` represents an MBean's object name and class name. If the MBean is a Dynamic MBean the class name should be retrieved from the `MBeanInfo` it provides.

Version:
  $Revision: 1.7 $

  Revisions:

  20020710 Adrian Brock:

  - Serialization

  20030220 Juha Lindfors:

  - Added hashCode override.
Author:
  Juha Lindfors, Adrian Brock
See Also:
  `ObjectName`, Serialized Form

Constructor Summary
`ObjectInstance(ObjectName name, String className)` Creates a new object instance with a given object name and a fully qualified class name.
`ObjectInstance(String name, String className)` Creates a new object instance with a given object name and a fully qualified class name.

Method Summary
`boolean` | `equals(Object object)`
`String` | `getClassName()` Returns the class name of this instance.
`ObjectName` | `getObjectName()` Returns the object name of this instance.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectInstance

    public ObjectInstance(String name,
                          String className)
                   throws MalformedObjectNameException

  Creates a new object instance with a given object name and a fully qualified class name.

Parameters:
  `name` - object name
  `className` - fully qualified class name
Throws:
  `MalformedObjectNameException` - the object name string is invalid

### ObjectInstance

    public ObjectInstance(ObjectName name,
                          String className)

  Creates a new object instance with a given object name and a fully qualified class name.

Parameters:
  `name` - object name
  `className` - fully qualified class name

Method Detail

### getObjectName

    public ObjectName getObjectName()

  Returns the object name of this instance.

  Returns:
    object name

### getClassName

    public String getClassName()

  Returns the class name of this instance.

  Returns:
    class name

### equals

    public boolean equals(Object object)

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.